Subject: Release 1.2 of Session Directory for Win32

From: Arlie Davis <[email-masked]>
Date: Thu, 11 Apr 1996 11:07:26 -0400

MBONE Session Directory for
        Windows NT and Windows 95
           Version 1.2 beta

This is the third test release of my MBONE
Session Directory tool.  It was written from
scratch, by analyzing the (relatively simple)
packet format.  Later, I found the IETF draft
of the Session Description Protocol, and
implemented most of that.  Most of SDP V2 has
been implemented.

Things it can do

*    Receive sessions on both the SDP V1 and SDP V2 group
     and port.
*    Show detailed information about sessions.
*    Run external programs, especially the ports of LBL's
     VAT and VIC programs.
*    Expire old sessions.

Things it cannot (yet) do

*    Originate sessions
*    Cache known sessions to disk

Things currently in beta testing

*    DDE communication with media tools.  This currently has
     a few too many bugs, but it will be released Real Soon Now.
     This will allow the SD tool to communicate with media stream
     tools, in order to open sessions and the like.

Known bugs

*    Doesn't get the session lifetimes correct sometimes.
     There is some confusion as to the exact NTP time offset
     between SDP V1 and SDP V2.

Where to get it

You can always find it at these fine locations:

*    http://archive.thepoint.net/Internet/Interactive%20media/MBONE/SD/Win32
*    ftp://archive.thepoint.net/Archive/Internet/Interactive%20media/MBONE/SD/Win32

I am currently developing Win32 applications
which will allow transmission and reception
of many audio and video formats that are
common on the MBONE.  If you are interested
in this, feel free to drop me a line.  (That
said, however, don't write to me if all you
are going to say is, "Me too!".  I know.
Trust me, you'll get a copy when it's ready.)

If you enjoy using this, great!  If you have
suggestions for how to improve it (beyond
just urging me to implement what the UNIX SD
does), let me know.  If you feel like
complaining, go write your own version and
complain to yourself.

-- Arlie Davis <[email-masked]>